summary refs log tree commit diff
path: root/home
diff options
context:
space:
mode:
Diffstat (limited to 'home')
-rwxr-xr-xhome/.local/bin/hup7
1 files changed, 7 insertions, 0 deletions
diff --git a/home/.local/bin/hup b/home/.local/bin/hup
new file mode 100755
index 00000000..4fc5d7ae
--- /dev/null
+++ b/home/.local/bin/hup
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -eu
+
+dir=$(mktemp -d)
+hi -f html -o document,tab=4 "$@" > "$dir/hi.html"
+up "$dir/hi.html"
+rm -r "$dir"